Loading...
Searching...
No Matches
elastix::NearestNeighborInterpolator< TElastix > Class Template Reference
Components » Interpolators

`#include <elxNearestNeighborInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::NearestNeighborInterpolator< TElastix >

An interpolator based on the itkNearestNeighborInterpolateImageFunction.

This interpolator interpolates images using nearest neighbour interpolation. The image derivatives are computed using a central difference scheme.

The parameters used in this class are:

Parameters
  Interpolator: Select this interpolator as follows:
  (Interpolator "NearestNeighborInterpolator")

Definition at line 42 of file elxNearestNeighborInterpolator.h.

Inheritance diagram for elastix::NearestNeighborInterpolator< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = NearestNeighborInterpolator
using | Superclass1
using | Superclass2 = InterpolatorBase<TElastix>
Public Types inherited from elastix::InterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("NearestNeighborInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (NearestNeighborInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from elastix::InterpolatorBase< TElastix >
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| NearestNeighborInterpolator ()=default
| ~NearestNeighborInterpolator () override=default
Protected Member Functions inherited from elastix::InterpolatorBase< TElastix >
| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 56 of file elxNearestNeighborInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 83 of file elxNearestNeighborInterpolator.h.

## Pointer

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 55 of file elxNearestNeighborInterpolator.h.

## Self

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::Self = NearestNeighborInterpolator

Standard ITK-stuff.

Definition at line 51 of file elxNearestNeighborInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::Superclass1

Initial value:
itk::NearestNeighborInterpolateImageFunction<typename InterpolatorBase<TElastix>::InputImageType,
typename InterpolatorBase<TElastix>::CoordRepType>
elastix::InterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxInterpolatorBase.h:62

Definition at line 52 of file elxNearestNeighborInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::NearestNeighborInterpolator< TElastix >::Superclass2 = InterpolatorBase<TElastix>

Definition at line 54 of file elxNearestNeighborInterpolator.h.

## Constructor & Destructor Documentation

## NearestNeighborInterpolator()

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::NearestNeighborInterpolator | ( |  | ) |

protected default

The constructor.

## ~NearestNeighborInterpolator()

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::~NearestNeighborInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxClassNameMacro()

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::elxClassNameMacro | ( | "NearestNeighborInterpolator< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific interpolator.
example: (Interpolator "NearestNeighborInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::NearestNeighborInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::InterpolatorBase< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | NearestNeighborInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::NearestNeighborInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::NearestNeighborInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 92 of file elxNearestNeighborInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |